import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { MonkeyExcTokenStorageService } from '../services/storage';
import * as i0 from "@angular/core";
export declare class MonkeyExcSecurityDirective implements OnInit {
    private elementRef;
    private tokenStorageService;
    private cdr;
    roles: string[];
    byExclusion: boolean;
    private tokenCredentials;
    constructor(elementRef: ElementRef, tokenStorageService: MonkeyExcTokenStorageService, cdr: ChangeDetectorRef);
    private getRole;
    private handleAccess;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcSecurityDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonkeyExcSecurityDirective, "[monkeyexcSecurity]", never, { "roles": "securityRoles"; "byExclusion": "securityByExclusion"; }, {}, never>;
}
