import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyExcAuthenticationService } from '../services/auth';
import { MonkeyExcErrorHandlingService } from '../services/error';
import * as i0 from "@angular/core";
export interface Headers {
    name: string;
    value: string;
}
export declare class MonkeyExcHttpConfigErrorInterceptor implements HttpInterceptor {
    private monkeyecxAuthenticationService;
    private monkeyecxErrorHandlingService;
    constructor(monkeyecxAuthenticationService: MonkeyExcAuthenticationService, monkeyecxErrorHandlingService: MonkeyExcErrorHandlingService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcHttpConfigErrorInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcHttpConfigErrorInterceptor>;
}
