import { Injector } from '@angular/core';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyExcRequestQueueHandlingService } from '../services/request-queue';
import * as i0 from "@angular/core";
export declare class MonkeyExcHttpConfigQueueInterceptor implements HttpInterceptor {
    private injector;
    private monkeyecxRequestQueueHandlingService;
    constructor(injector: Injector, monkeyecxRequestQueueHandlingService: MonkeyExcRequestQueueHandlingService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private isQueueProperty;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcHttpConfigQueueInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcHttpConfigQueueInterceptor>;
}
