import { Observable } from 'rxjs';
import { MonkeyStyleGuideSettingsService } from 'monkey-style-guide';
import { MonkeyExci18nConfigService } from './monkeyexc-i18n-config.service';
import { MonkeyExcLogsConfigService } from './monkeyexc-logs-config.service';
import { MonkeyExcServiceWorkerConfigService } from './monkeyexc-service-worker-config.service';
import { MonkeyExcSecurityConsoleConfigService } from './monkeyexc-security-console-config.service';
import { MonkeyExcMaintenanceConfigService } from './monkeyexc-maintenance-config.service';
import { MonkeyExcCommonsService } from '../commons';
import { MonkeyExcService } from '../monkeyexc-service.service';
import * as i0 from "@angular/core";
export declare class MonkeyExcConfigService extends MonkeyExcCommonsService {
    private monkeyexci18nConfigService;
    private monkeyexcLogsConfigService;
    private monkeyStyleGuideSettingsService;
    private monkeyexcServiceWorkerConfigService;
    private monkeyexcSecurityConsoleConfigService;
    private monkeyexcMaintenanceConfigService;
    private readonly configSubject$;
    private readonly configBoostrapSubject$;
    constructor(monkeyexcService: MonkeyExcService, monkeyexci18nConfigService: MonkeyExci18nConfigService, monkeyexcLogsConfigService: MonkeyExcLogsConfigService, monkeyStyleGuideSettingsService: MonkeyStyleGuideSettingsService, monkeyexcServiceWorkerConfigService: MonkeyExcServiceWorkerConfigService, monkeyexcSecurityConsoleConfigService: MonkeyExcSecurityConsoleConfigService, monkeyexcMaintenanceConfigService: MonkeyExcMaintenanceConfigService);
    private internalValidations;
    private getWhiteLabelSettings;
    init(callback: Function, environment: any, identifyCode: string, monkeyexcCode?: string): void;
    config(): Observable<any>;
    boostrapConfig(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcConfigService>;
}
