import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyExcHandlingService } from './monkeyexc-handling.service';
import * as i0 from "@angular/core";
export declare class MonkeyExcService {
    protected http: HttpClient;
    monkeyexcHandlingService: MonkeyExcHandlingService;
    constructor(http: HttpClient, monkeyexcHandlingService: MonkeyExcHandlingService);
    private handlelize;
    get<T>(url: string, options?: T): Observable<T>;
    post<T>(url: string, params: T, options?: T): Observable<T>;
    put<T>(url: string, params: T): Observable<T>;
    delete<T>(url: string, params?: T): Observable<T>;
    download<T>(url: string, options?: T, filename?: string): void;
    downloadOb<T>(url: string, options?: T, filename?: string): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcService>;
}
