import { MonkeyExcService } from '../monkeyexc-service.service';
import { MonkeyExcLoggedHandlingService } from '../logged';
import { MonkeyExcRequestSchedule } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyExcRequestScheduleService {
    monkeyexcService: MonkeyExcService;
    private monkeyexcLoggedHandlingService;
    private schedule;
    constructor(monkeyexcService: MonkeyExcService, monkeyexcLoggedHandlingService: MonkeyExcLoggedHandlingService);
    private addToSchedule;
    private removeFromSchedule;
    private removeFromScheduleById;
    private doCall;
    setSchedule(q: MonkeyExcRequestSchedule, delay?: number): {
        id: string;
        interval: number;
        url: string;
        method: string;
        params?: any;
        data?: any;
        action(data: any, sch: MonkeyExcRequestSchedule): void;
        queue?: import("../../interfaces").MonkeyExcRequestQueue;
    };
    removeSchedule(q: MonkeyExcRequestSchedule): void;
    removeScheduleById(id: string): void;
    getScheduleById(id: string): MonkeyExcRequestSchedule;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcRequestScheduleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcRequestScheduleService>;
}
