import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyExcErrorHandlingService } from '../services/error';
import { MonkeyExcAuthenticationService } from '../services/auth';
import * as i0 from "@angular/core";
export declare class MonkeyExcHttpConfigHeaderInterceptor implements HttpInterceptor {
    private monkeyecxAuthenticationService;
    private monkeyecxErrorHandlingService;
    constructor(monkeyecxAuthenticationService: MonkeyExcAuthenticationService, monkeyecxErrorHandlingService: MonkeyExcErrorHandlingService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcHttpConfigHeaderInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcHttpConfigHeaderInterceptor>;
}
