import { TranslateService } from '@ngx-translate/core';
import { MonkeyExcService } from '../monkeyexc-service.service';
import { MonkeyExcCookieStorageService } from '../storage/monkeyexc-cookie-storage.service';
import { MonkeyExcCommonsService } from '../commons';
import { MonkeyExcConfig } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyExci18nConfigService extends MonkeyExcCommonsService {
    private translateService;
    private monkeyexcCookieStorageService;
    constructor(monkeyexcService: MonkeyExcService, translateService: TranslateService, monkeyexcCookieStorageService: MonkeyExcCookieStorageService);
    private applyLocal;
    apply(params: MonkeyExcConfig, environment: any, change?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExci18nConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExci18nConfigService>;
}
