import { MonkeyExcRequestDownload, MonkeyExcRequestQueue, MonkeyExcRequestUpload, MonkeyExcServiceCredentials } from '../interfaces';
import * as i0 from "@angular/core";
export declare abstract class MonkeyExcHandlingService {
    private monkeyexcServiceCredentials;
    private monkeyexcRequestQueue;
    private monkeyexcRequestDownload;
    private monkeyexcRequestUpload;
    clearAll(): void;
    setMonkeyExcServiceCredentials(param: MonkeyExcServiceCredentials): void;
    getMonkeyExcServiceCredentials(): MonkeyExcServiceCredentials;
    setMonkeyExcRequestQueue(queue: MonkeyExcRequestQueue): void;
    getMonkeyExcRequestQueue(): MonkeyExcRequestQueue;
    setMonkeyExcRequestDownload(download: MonkeyExcRequestDownload): void;
    getMonkeyExcRequestDownload(): MonkeyExcRequestDownload;
    setMonkeyExcRequestUpload(upload: MonkeyExcRequestUpload): void;
    getMonkeyExcRequestUpload(): MonkeyExcRequestUpload;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcHandlingService>;
}
