import { Observable } from 'rxjs';
import { MonkeyExcRequestDownload } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyExcRequestDownloadHandlingService {
    private download;
    private download$;
    constructor();
    private addTo;
    private markItemAsFinish;
    private updateItem;
    set(q: MonkeyExcRequestDownload): void;
    get(): Observable<MonkeyExcRequestDownload[]>;
    update(q: MonkeyExcRequestDownload, loaded?: number, total?: number): void;
    finishItem(q: MonkeyExcRequestDownload, status?: number): void;
    hasDownloadOnGoing(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcRequestDownloadHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcRequestDownloadHandlingService>;
}
