import { Observable } from 'rxjs';
import { MonkeyExcRequestProgressQueue, MonkeyExcRequestQueue } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyExcRequestQueueModalHandlingService {
    private queue;
    private queues$;
    private newQueue$;
    private allQueueFinished$;
    constructor();
    private addToQueue;
    private markQueueItemAsFinish;
    private updateQueue;
    private deleteQueue;
    setQueue(q: MonkeyExcRequestQueue): void;
    getQueue(): Observable<MonkeyExcRequestQueue[]>;
    finishQueueItem(q: MonkeyExcRequestQueue, action?: Function, status?: number): void;
    removeQueueItem(q: MonkeyExcRequestQueue): void;
    updateQueueItem(q: MonkeyExcRequestQueue, progress: MonkeyExcRequestProgressQueue): void;
    hasNewQueue(): Observable<boolean>;
    hasAllQueueFinished(): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyExcRequestQueueModalHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyExcRequestQueueModalHandlingService>;
}
